<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Domain\Blog\Adapter;

use Sylius\Component\Core\Model\ChannelInterface;
use Sylius\Component\Resource\Repository\RepositoryInterface;

interface CategoryRepositoryInterface extends RepositoryInterface
{
    public function findByChannel(ChannelInterface $channel, ?string $locale = null);

    public function findOneByChannelAndSlug(ChannelInterface $channel, string $slug, ?string $locale = null);

    public function findByNamePart(string $phrase);
}
